# Create Customer

{% hint style="info" %}
This API will create a new Stripe customer based on the current **mobile user**
{% endhint %}

It isn't required for other payments API since the customer will be automatically created if not present

{% tabs %}
{% tab title="Request" %}
`POST https://mburger.cloud/api/customers`

```bash
curl https://mburger.cloud/api/customers
-X POST 
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
-H "Authorization: Bearer <JWT>"
```

#### &#x20;Parameters

This API has no parameters.
{% endtab %}

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": {
    "id": "cus_xxxxxxxxxxxxxx",
    "object": "customer",
    "account_balance": 0,
    "created": 1549288732,
    "currency": null,
    "default_source": null,
    "delinquent": false,
    "email": "name.surname@mail.com",
    "sources": {
      "object": "list",
      "data": [],
      "has_more": false,
      "total_count": 0,
      "url": "/v1/customers/cus_xxxxxxxxxxxxxx/sources"
    },
    "subscriptions": {
      "object": "list",
      "data": [],
      "has_more": false,
      "total_count": 0,
      "url": "/v1/customers/cus_xxxxxxxxxxxxxx/subscriptions"
    }
  }
}
```

{% endtab %}
{% endtabs %}
